# Uses of Interface
javax.annotation.processing.RoundEnvironment

Packages that use RoundEnvironment
Package
Description
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.

## Uses of RoundEnvironment in javax.annotation.processing

Methods in javax.annotation.processing with parameters of type RoundEnvironment
Modifier and Type
Method
Description
`boolean`
Processor.`process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)`
Processes a set of annotation interfaces on root elements originating from the prior round and returns whether or not these annotation interfaces are claimed by this processor.